# Create a new Payment Intent

Create a Payment Intent.

You can create Payment Intent in the following configurations:

  |Beneficiary|Customer (Payer)|Example|
  |---|---|---|
  |Pix Key|Already registered with Belvo|Pix Key (With Existing Customer)|
  |Pix Key|Register with Belvo at time of Payment Intent request|Pix Key (With New Customer)|
  |Bank Account (Already Registered)|Already Registered |Bank Account (With Existing Customer)|
  |Bank Account (Already Registered)|Register with Belvo at time of Payment Intent request|Bank Account (With New Customer)|
  |Bank Account (Register at time of Payment Intent request)|Register with Belvo at time of Payment Intent request|Bank Account (With New Customer and Beneficiary Bank Account)|

  {% admonition type="warning" name="Pix Payments" %}
    When you create Payment Intents using a Pix Key, you have to make a PATCH Complete a Payment Intent request to complete the Payment Intent creation.
  {% /admonition %}

Endpoint: POST /payments/br/payment-intents/
Version: 1.223.0
Security: basicAuth

## Header parameters:

  - `Belvo-Idempotency-Key` (string)
    A UUID to ensure idempotent requests. This key helps prevent duplicate operations by allowing the server to recognize repeated requests with the same key and return the original response instead of processing the request again.

{% admonition type="info" name="Highly Recommended" %}
  We highly recommend including this header in any request where you want to ensure idempotency, such as creating resources or performing actions that should not be duplicated.
{% /admonition %}

You may receive the following errors in the case that there is an issue with your request:

- 409 Conflict: If a previous request is still being processed with the same idempotency key. Check the response Belvo-Idempotency-Status header for the current state of that idempotency key.
- 422 Unprocessable Entity: If a new request uses an idempotency key that has been previously used in another request containing a different payload. In this case, you should change the idempotency key to a new unique value.

{% admonition type="warning" name="In Beta" %}
  This feature is currently in Beta and only available for selected customers. If you encounter any issues or are interested in using this feature, please contact your Belvo representative.
{% /admonition %}
    Example: "82737f32-7730-4832-a985-dd86df70301c"

## Request fields (application/json):

  - `body` (object) — one of:
    - Pix Keys (With Existing Customer):
      - `amount` (string, required)
        Amount to be paid by your customer. You can send through numbers with up to two decimal points, separated by a . period. For example: 1234.12
        Example: "1234.12"
      - `customer` (string, required)
        Belvo's unique ID to reference your previously created customer.
        Example: "06dc2f14-1217-4480-9b36-550a944a39d1"
      - `external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `description` (string, required)
        A human-readable description of the payment.
        Example: "Shoe payment"
      - `statement_description` (string)
        A description that will appear on the customer's bank statement (recommended).


> Note: If you do not use the statement_description parameter, the description value will be used as the statement description.
        Example: "Super Shoe Store - Brown Sneakers"
      - `allowed_payment_method_types` (array, required)
        A list of payment method types allowed in this payment intent. For Brazil (OFPI), this value must be set to open_finance.
        Enum: "open_finance", "open_finance_biometric_pix"
      - `payment_method_details` (object, required)
        Details about the OFPI payment method.
      - `payment_method_details.open_finance` (any, required) — one of:
        - INDIVIDUAL:
          - `pix_key` (string, required)
            The Pix key associated with the beneficiary of the transaction. Can be an email, phone number (including the country code, for example +5511999998888), CPF/CNPJ, or a random key.
            Example: "53497b80-81a2-4ea8-9296-83a909c05bdf"
          - `payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `schedule` (object) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object)
                Schedule a single (one-off) payment in the future.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.

>Note: The date must be at least 1 day in the future and no more than 720 days in the future.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Schedule a daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Schedule a weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: "MONDAY", "TUESDAY", "WEDNESDAY", "THURSDAY", "FRIDAY", "SATURDAY", "SUNDAY"
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Schedule a monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Schedule a custom recurring payment.
              - `custom.dates` (array, required)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string, required)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
        - BUSINESS:
          - `pix_key` (string, required)
            The Pix key associated with the beneficiary of the transaction. Can be an email, phone number (including the country code, for example +5511999998888), CPF/CNPJ, or a random key.
            Example: "53497b80-81a2-4ea8-9296-83a909c05bdf"
          - `payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `cpf` (string, required)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "09744477770"
          - `schedule` (object) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object)
                Schedule a single (one-off) payment in the future.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.

>Note: The date must be at least 1 day in the future and no more than 720 days in the future.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Schedule a daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Schedule a weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Schedule a monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Schedule a custom recurring payment.
              - `custom.dates` (array, required)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string, required)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
      - `confirm` (boolean, required)
        Boolean that confirms the payment intent.

Note: Sending this parameter set to true confirms the payment intent.
      - `metadata` (object)
        Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number for the payment intent.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
        Example: {"internal_reference_id":"GGq73487w2"}
      - `provider` (string)
        Note: This field has been deprecated and will be removed from the API in the future.

The provider used for the payment link.
        Enum: "belvo"
    - Pix Keys (With New Customer):
      - `amount` (string, required)
        Amount to be paid by your customer. You can send through numbers with up to two decimal points, separated by a . period. For example: 1234.12
        Example: "1234.12"
      - `customer` (object, required)
        Create a customer for Payment Initiation
      - `customer.identifier` (string, required)
        The customer's CPF or CNPJ number.
        Example: "10187609363"
      - `customer.name` (string)
        The full name of the customer you want to create.
        Example: "Gustavo Veloso"
      - `customer.external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `customer.email` (string)
        The customer's email address.
        Example: "gustavo.veloso@musicabrazil.br"
      - `customer.phone` (string,null)
        The customer's phone number.
        Example: "+5511987654321"
      - `customer.address` (string,null)
        The customer's physical address.
        Example: "Rua de Gustavo Veloso 432, 70200 Brasilia"
      - `external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `description` (string, required)
        A human-readable description of the payment.
        Example: "Shoe payment"
      - `statement_description` (string)
        A description that will appear on the customer's bank statement (recommended).


> Note: If you do not use the statement_description parameter, the description value will be used as the statement description.
        Example: "Super Shoe Store - Brown Sneakers"
      - `allowed_payment_method_types` (array, required)
        A list of payment method types allowed in this payment intent. For Brazil (OFPI), this value must be set to open_finance.
        Enum: same as `allowed_payment_method_types` in "Pix Keys (With Existing Customer)" (2 values)
      - `payment_method_details` (object, required)
        Details about the OFPI payment method.
      - `payment_method_details.open_finance` (any, required) — one of:
        - INDIVIDUAL:
          - `pix_key` (string, required)
            The Pix key associated with the beneficiary of the transaction. Can be an email, phone number (including the country code, for example +5511999998888), CPF/CNPJ, or a random key.
            Example: "53497b80-81a2-4ea8-9296-83a909c05bdf"
          - `payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `schedule` (object) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object)
                Schedule a single (one-off) payment in the future.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.

>Note: The date must be at least 1 day in the future and no more than 720 days in the future.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Schedule a daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Schedule a weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Schedule a monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Schedule a custom recurring payment.
              - `custom.dates` (array, required)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string, required)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
        - BUSINESS:
          - `pix_key` (string, required)
            The Pix key associated with the beneficiary of the transaction. Can be an email, phone number (including the country code, for example +5511999998888), CPF/CNPJ, or a random key.
            Example: "53497b80-81a2-4ea8-9296-83a909c05bdf"
          - `payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `cpf` (string, required)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "09744477770"
          - `schedule` (object) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object)
                Schedule a single (one-off) payment in the future.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.

>Note: The date must be at least 1 day in the future and no more than 720 days in the future.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Schedule a daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Schedule a weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Schedule a monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Schedule a custom recurring payment.
              - `custom.dates` (array, required)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string, required)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
      - `confirm` (boolean, required)
        Boolean that confirms the payment intent.

Note: Sending this parameter set to true confirms the payment intent.
      - `metadata` (object)
        Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number for the payment intent.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
        Example: {"internal_reference_id":"GGq73487w2"}
      - `provider` (string)
        Note: This field has been deprecated and will be removed from the API in the future.

The provider used for the payment link.
        Enum: same as `provider` in "Pix Keys (With Existing Customer)" (1 values)
    - Bank Account (With Existing Customer):
      - `amount` (string, required)
        Amount to be paid by your customer. For OFPI, you can send through numbers with up to two decimal points, separated by a . period. For example: 1234.12
        Example: "1234.12"
      - `customer` (string, required)
        Belvo's unique ID to reference your previously created customer.
        Example: "06dc2f14-1217-4480-9b36-550a944a39d1"
      - `external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `description` (string, required)
        A human-readable description of the payment.
        Example: "Shoe payment"
      - `statement_description` (string)
        A description that will appear on the customer's bank statement (recommended).


> Note: If you do not use the statement_description parameter, the description value will be used as the statement description.
        Example: "Super Shoe Store - Brown Sneakers"
      - `allowed_payment_method_types` (array, required)
        A list of payment method types allowed in this payment intent. For Brazil (OFPI), this value must be set to open_finance.
        Enum: same as `allowed_payment_method_types` in "Pix Keys (With Existing Customer)" (2 values)
      - `payment_method_details` (object, required)
        Details about the OFPI payment method.
      - `payment_method_details.open_finance` (any, required) — one of:
        - INDIVIDUAL:
          - `beneficiary_bank_account` (string, required)
            Belvo's unique ID used to identify the beneficiary's bank account.
            Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"
          - `payer_institution` (string)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `schedule` (object) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object)
                Schedule a single (one-off) payment in the future.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.

>Note: The date must be at least 1 day in the future and no more than 720 days in the future.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Schedule a daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Schedule a weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Schedule a monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Schedule a custom recurring payment.
              - `custom.dates` (array, required)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string, required)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
          - `callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
        - BUSINESS:
          - `beneficiary_bank_account` (string, required)
            Belvo's unique ID used to identify the beneficiary's bank account.
            Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"
          - `payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `schedule` (object) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object)
                Schedule a single (one-off) payment in the future.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.

>Note: The date must be at least 1 day in the future and no more than 720 days in the future.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Schedule a daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Schedule a weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Schedule a monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Schedule a custom recurring payment.
              - `custom.dates` (array, required)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string, required)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
          - `callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `cpf` (string, required)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "09744477770"
      - `confirm` (boolean, required)
        Boolean that confirms the payment intent.

Note: Sending this parameter set to true confirms the payment intent.
      - `metadata` (object)
        Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number for the payment intent.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
        Example: {"internal_reference_id":"GGq73487w2"}
      - `provider` (string)
        Note: This field has been deprecated and will be removed from the API in the future.

The provider used for the payment link.
        Enum: same as `provider` in "Pix Keys (With Existing Customer)" (1 values)
    - Bank Account (With New Customer):
      - `amount` (string, required)
        Amount to be paid by your customer. For OFPI, you can send through numbers with up to two decimal points, separated by a . period. For example: 1234.12
        Example: "1234.12"
      - `customer` (object, required)
        Create a customer for Payment Initiation
      - `customer.identifier` (string, required)
        The customer's CPF or CNPJ number.
        Example: "10187609363"
      - `customer.name` (string)
        The full name of the customer you want to create.
        Example: "Gustavo Veloso"
      - `customer.external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `customer.email` (string)
        The customer's email address.
        Example: "gustavo.veloso@musicabrazil.br"
      - `customer.phone` (string,null)
        The customer's phone number.
        Example: "+5511987654321"
      - `customer.address` (string,null)
        The customer's physical address.
        Example: "Rua de Gustavo Veloso 432, 70200 Brasilia"
      - `external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `description` (string, required)
        A human-readable description of the payment.
        Example: "Shoe payment"
      - `statement_description` (string)
        A description that will appear on the customer's bank statement (recommended).


> Note: If you do not use the statement_description parameter, the description value will be used as the statement description.
        Example: "Super Shoe Store - Brown Sneakers"
      - `allowed_payment_method_types` (array, required)
        A list of payment method types allowed in this payment intent. For Brazil (OFPI), this value must be set to open_finance.
        Enum: same as `allowed_payment_method_types` in "Pix Keys (With Existing Customer)" (2 values)
      - `payment_method_details` (object, required)
        Details about the OFPI payment method.
      - `payment_method_details.open_finance` (any, required) — one of:
        - INDIVIDUAL:
          - `beneficiary_bank_account` (object, required)
          - `beneficiary_bank_account.institution` (string, required)
            Belvo's unique ID for the institution that the bank account is created in.
            Example: "f512d996-583a-4a91-8b5b-eba2e103b068"
          - `beneficiary_bank_account.external_id` (string)
            An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
            Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
          - `beneficiary_bank_account.holder` (object, required)
            Details regarding the individual bank account holder.
          - `beneficiary_bank_account.holder.type` (string, required)
            The type of bank account. For individuals, this must be set to INDIVIDUAL.
            Enum: "INDIVIDUAL"
          - `beneficiary_bank_account.holder.information` (object, required)
            Additional information about the bank account holder required in order to create the account for OFPI.
          - `beneficiary_bank_account.holder.information.first_name` (string, required)
            The bank account holder's first name.
            Example: "Gustavo"
          - `beneficiary_bank_account.holder.information.last_name` (string, required)
            The bank account holder's last name.
            Example: "Veloso"
          - `beneficiary_bank_account.holder.information.identifier_type` (string, required)
            The customer's ID document type. For individuals in Brazil, this must be set to CPF.
            Enum: "CPF"
          - `beneficiary_bank_account.holder.information.identifier` (string, required)
            The document number of the customer's ID.
            Example: "00000000191"
          - `beneficiary_bank_account.details` (object, required)
            Information regarding the bank account.
          - `beneficiary_bank_account.details.account_type` (string, required)
            The type of bank account. Can be either:

  - CHECKINGS (also known as Conta Corrente in Brazil)
  - SAVINGS (also known as Conta Poupança in Brazil)
  - SALARY (also known as Conta Salário in Brazil)
  - PAYMENTS (also known as Conta de Pagamento Instantâneo or Conta de Pagamento in Brazil)
            Enum: "CHECKINGS", "SAVINGS", "SALARY", "PAYMENTS"
          - `beneficiary_bank_account.details.agency` (string, required)
            The agency (branch number) of the institution where the account was created.
            Example: "0444"
          - `beneficiary_bank_account.details.number` (string, required)
            The bank account number.

> 📘 Valid account number characters
>
> You can only send through numbers (^[0-9]+$) in the string. For example, "457220" is a valid bank account number, while "45722-0" is invalid as it contains a hyphen (-).
            Example: "457220"
          - `payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `schedule` (object) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object)
                Schedule a single (one-off) payment in the future.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.

>Note: The date must be at least 1 day in the future and no more than 720 days in the future.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Schedule a daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Schedule a weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Schedule a monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Schedule a custom recurring payment.
              - `custom.dates` (array, required)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string, required)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
        - BUSINESS:
          - `beneficiary_bank_account` (object, required)
          - `beneficiary_bank_account.institution` (string, required)
            Belvo's unique ID for the institution that the bank account is created in.
            Example: "f512d996-583a-4a91-8b5b-eba2e103b068"
          - `beneficiary_bank_account.external_id` (string)
            An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
            Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
          - `beneficiary_bank_account.holder` (object, required)
            Details regarding the business bank account holder.
          - `beneficiary_bank_account.holder.type` (string, required)
            The type of bank account. For business bank accounts, this must be set to BUSINESS.
            Enum: "BUSINESS"
          - `beneficiary_bank_account.holder.information` (object, required)
            Additional information about the bank account holder required in order to create the account for OFPI.
          - `beneficiary_bank_account.holder.information.name` (string, required)
            The full name of the business
            Example: "Gustavo Veloso Entertainment Universe"
          - `beneficiary_bank_account.holder.information.identifier_type` (string, required)
            The customer's ID document type. For businesses in Brazil, this must be set to CNPJ.
            Enum: "CNPJ"
          - `beneficiary_bank_account.holder.information.identifier` (string, required)
            The CNPJ document number.
            Example: "00000000000191"
          - `beneficiary_bank_account.details` (object, required)
            Information regarding the bank account.
          - `beneficiary_bank_account.details.account_type` (string, required)
            The type of bank account. Can be either:

  - CHECKINGS (also known as Conta Corrente in Brazil)
  - SAVINGS (also known as Conta Poupança in Brazil)
  - SALARY (also known as Conta Salário in Brazil)
  - PAYMENTS (also known as Conta de Pagamento Instantâneo or Conta de Pagamento in Brazil)
            Enum: same as `beneficiary_bank_account.details.account_type` in "INDIVIDUAL" (4 values)
          - `beneficiary_bank_account.details.agency` (string, required)
            The agency (branch number) of the institution where the account was created.
            Example: "0444"
          - `beneficiary_bank_account.details.number` (string, required)
            The bank account number.

> 📘 Valid account number characters
>
> You can only send through numbers (^[0-9]+$) in the string. For example, "457220" is a valid bank account number, while "45722-0" is invalid as it contains a hyphen (-).
            Example: "457220"
          - `payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `schedule` (object) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object)
                Schedule a single (one-off) payment in the future.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.

>Note: The date must be at least 1 day in the future and no more than 720 days in the future.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Schedule a daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Schedule a weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Schedule a monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Schedule a custom recurring payment.
              - `custom.dates` (array, required)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string, required)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
          - `callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `cpf` (string, required)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "09744477770"
      - `confirm` (boolean, required)
        Boolean that confirms the payment intent.

> 📘 Provide payer_institution
>
> In order to confirm the payment intent (confirm: true), you must provide the payer_institution parameter.

Note: Sending this parameter set to true confirms the payment intent.
      - `metadata` (object)
        Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number for the payment intent.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
        Example: {"internal_reference_id":"GGq73487w2"}
      - `provider` (string)
        Note: This field has been deprecated and will be removed from the API in the future.

The provider used for the payment link.
        Enum: same as `provider` in "Pix Keys (With Existing Customer)" (1 values)
    - Bank Account (With New Customer and Beneficiary Bank Account):
      - `amount` (string, required)
        Amount to be paid by your customer. For OFPI, you can send through numbers with up to two decimal points, separated by a . period. For example: 1234.12
        Example: "1234.12"
      - `customer` (object, required)
        Create a customer for Payment Initiation
      - `customer.identifier` (string, required)
        The customer's CPF or CNPJ number.
        Example: "10187609363"
      - `customer.name` (string)
        The full name of the customer you want to create.
        Example: "Gustavo Veloso"
      - `customer.external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `customer.email` (string)
        The customer's email address.
        Example: "gustavo.veloso@musicabrazil.br"
      - `customer.phone` (string,null)
        The customer's phone number.
        Example: "+5511987654321"
      - `customer.address` (string,null)
        The customer's physical address.
        Example: "Rua de Gustavo Veloso 432, 70200 Brasilia"
      - `external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `description` (string, required)
        A human-readable description of the payment.
        Example: "Shoe payment"
      - `statement_description` (string)
        A description that will appear on the customer's bank statement (recommended).


> Note: If you do not use the statement_description parameter, the description value will be used as the statement description.
        Example: "Super Shoe Store - Brown Sneakers"
      - `allowed_payment_method_types` (array, required)
        A list of payment method types allowed in this payment intent. For Brazil (OFPI), this value must be set to open_finance.
        Enum: same as `allowed_payment_method_types` in "Pix Keys (With Existing Customer)" (2 values)
      - `payment_method_details` (object, required)
        Details about the OFPI payment method.
      - `payment_method_details.open_finance` (any, required) — one of:
        - INDIVIDUAL:
          - `beneficiary_bank_account` (object, required)
          - `beneficiary_bank_account.institution` (string, required)
            Belvo's unique ID for the institution that the bank account is created in.
            Example: "f512d996-583a-4a91-8b5b-eba2e103b068"
          - `beneficiary_bank_account.external_id` (string)
            An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
            Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
          - `beneficiary_bank_account.holder` (object, required)
            Details regarding the individual bank account holder.
          - `beneficiary_bank_account.holder.type` (string, required)
            The type of bank account. For individuals, this must be set to INDIVIDUAL.
            Enum: same as `beneficiary_bank_account.holder.type` in "INDIVIDUAL" (1 values)
          - `beneficiary_bank_account.holder.information` (object, required)
            Additional information about the bank account holder required in order to create the account for OFPI.
          - `beneficiary_bank_account.holder.information.first_name` (string, required)
            The bank account holder's first name.
            Example: "Gustavo"
          - `beneficiary_bank_account.holder.information.last_name` (string, required)
            The bank account holder's last name.
            Example: "Veloso"
          - `beneficiary_bank_account.holder.information.identifier_type` (string, required)
            The customer's ID document type. For individuals in Brazil, this must be set to CPF.
            Enum: same as `beneficiary_bank_account.holder.information.identifier_type` in "INDIVIDUAL" (1 values)
          - `beneficiary_bank_account.holder.information.identifier` (string, required)
            The document number of the customer's ID.
            Example: "00000000191"
          - `beneficiary_bank_account.details` (object, required)
            Information regarding the bank account.
          - `beneficiary_bank_account.details.account_type` (string, required)
            The type of bank account. Can be either:

  - CHECKINGS (also known as Conta Corrente in Brazil)
  - SAVINGS (also known as Conta Poupança in Brazil)
  - SALARY (also known as Conta Salário in Brazil)
  - PAYMENTS (also known as Conta de Pagamento Instantâneo or Conta de Pagamento in Brazil)
            Enum: same as `beneficiary_bank_account.details.account_type` in "INDIVIDUAL" (4 values)
          - `beneficiary_bank_account.details.agency` (string, required)
            The agency (branch number) of the institution where the account was created.
            Example: "0444"
          - `beneficiary_bank_account.details.number` (string, required)
            The bank account number.

> 📘 Valid account number characters
>
> You can only send through numbers (^[0-9]+$) in the string. For example, "457220" is a valid bank account number, while "45722-0" is invalid as it contains a hyphen (-).
            Example: "457220"
          - `payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `schedule` (object) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object)
                Schedule a single (one-off) payment in the future.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.

>Note: The date must be at least 1 day in the future and no more than 720 days in the future.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Schedule a daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Schedule a weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Schedule a monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Schedule a custom recurring payment.
              - `custom.dates` (array, required)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string, required)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
        - BUSINESS:
          - `beneficiary_bank_account` (object, required)
          - `beneficiary_bank_account.institution` (string, required)
            Belvo's unique ID for the institution that the bank account is created in.
            Example: "f512d996-583a-4a91-8b5b-eba2e103b068"
          - `beneficiary_bank_account.external_id` (string)
            An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
            Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
          - `beneficiary_bank_account.holder` (object, required)
            Details regarding the business bank account holder.
          - `beneficiary_bank_account.holder.type` (string, required)
            The type of bank account. For business bank accounts, this must be set to BUSINESS.
            Enum: same as `beneficiary_bank_account.holder.type` in "BUSINESS" (1 values)
          - `beneficiary_bank_account.holder.information` (object, required)
            Additional information about the bank account holder required in order to create the account for OFPI.
          - `beneficiary_bank_account.holder.information.name` (string, required)
            The full name of the business
            Example: "Gustavo Veloso Entertainment Universe"
          - `beneficiary_bank_account.holder.information.identifier_type` (string, required)
            The customer's ID document type. For businesses in Brazil, this must be set to CNPJ.
            Enum: same as `beneficiary_bank_account.holder.information.identifier_type` in "BUSINESS" (1 values)
          - `beneficiary_bank_account.holder.information.identifier` (string, required)
            The CNPJ document number.
            Example: "00000000000191"
          - `beneficiary_bank_account.details` (object, required)
            Information regarding the bank account.
          - `beneficiary_bank_account.details.account_type` (string, required)
            The type of bank account. Can be either:

  - CHECKINGS (also known as Conta Corrente in Brazil)
  - SAVINGS (also known as Conta Poupança in Brazil)
  - SALARY (also known as Conta Salário in Brazil)
  - PAYMENTS (also known as Conta de Pagamento Instantâneo or Conta de Pagamento in Brazil)
            Enum: same as `beneficiary_bank_account.details.account_type` in "INDIVIDUAL" (4 values)
          - `beneficiary_bank_account.details.agency` (string, required)
            The agency (branch number) of the institution where the account was created.
            Example: "0444"
          - `beneficiary_bank_account.details.number` (string, required)
            The bank account number.

> 📘 Valid account number characters
>
> You can only send through numbers (^[0-9]+$) in the string. For example, "457220" is a valid bank account number, while "45722-0" is invalid as it contains a hyphen (-).
            Example: "457220"
          - `payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `schedule` (object) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object)
                Schedule a single (one-off) payment in the future.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.

>Note: The date must be at least 1 day in the future and no more than 720 days in the future.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Schedule a daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Schedule a weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Schedule a monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Schedule a custom recurring payment.
              - `custom.dates` (array, required)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string, required)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
          - `callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `cpf` (string, required)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "09744477770"
      - `confirm` (boolean, required)
        Boolean that confirms the payment intent.

> 📘 Provide payer_institution
>
> In order to confirm the payment intent (confirm: true), you must provide the payer_institution parameter.

Note: Sending this parameter set to true confirms the payment intent.
      - `metadata` (object)
        Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number for the payment intent.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
        Example: {"internal_reference_id":"GGq73487w2"}
      - `provider` (string)
        Note: This field has been deprecated and will be removed from the API in the future.

The provider used for the payment link.
        Enum: same as `provider` in "Pix Keys (With Existing Customer)" (1 values)

## Response 201 fields (application/json):

  - `body` (object) — one of:
    - Pix Key:
      - `id` (string, required)
        Belvo's unique identifier for the current item.
        Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
      - `customer` (string, required)
        Belvo's unique ID for the customer related to this payment intent.
        Example: "1c83ead8-6665-429c-a17a-ddc76cb3a95e"
      - `external_id` (string)
        An additional unique identifier for the resource for internal purposes.

{% admonition type="success" name="Highly Recommended" %}
  We recommend using this field to store your own unique identifier for each resource (customer, bank account, payment intent, or enrollment). This can be useful for tracking the resource in your system and for debugging purposes.
{% /admonition %}
        Example: "4b8a81a0-e33c-45a6-8567-479efb105f73"
      - `created_at` (string, required)
        The ISO-8601 timestamp of when the data point was created in Belvo's database.
        Example: "2022-02-09T08:45:50.406032Z"
      - `created_by` (string, required)
        The unique ID for the user that created this item.
        Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"
      - `updated_at` (string,null, required)
        The ISO-8601 timestamp of when the payment intent was last updated.
        Example: "2022-02-09T08:45:50.406032Z"
      - `status` (string, required)
        The current status of the payment intent.
        Enum: "REQUIRES_PAYMENT_METHOD", "REQUIRES_ACTION", "SUCCEEDED", "PROCESSING", "FAILED"
      - `amount` (string, required)
        Amount to be paid by your customer.
        Example: "1234.12"
      - `currency` (string, required)
        The currency of the amount paid, for example, BRL (Brazilian Real).
        Enum: "BRL"
      - `description` (string, required)
        The description of the payment.
        Example: "Training shoes"
      - `statement_description` (string)
        A description that will appear on the customer's bank statement (recommended).


> Note: If you do not use the statement_description parameter, the description value will be used as the statement description.
        Example: "Super Shoe Store - Brown Sneakers"
      - `selected_payment_method_type` (string, required)
        Selected payment method type. For 🇧🇷 Brazil's OFPI, can be either:

  - open_finance: For regular payments.
  - open_finance_biometric_pix: For biometric payments using the PIX network.
        Enum: same as `allowed_payment_method_types` in "Pix Keys (With Existing Customer)" (2 values)
      - `allowed_payment_method_types` (array, required)
        A list of payment method types allowed in this payment intent. For OFPI, the value will be open_finance.
        Example: ["open_finance"]
      - `payment_method_details` (any, required) — one of:
        Details about the Pix Key payment method.
        - INDIVIDUAL:
          - `open_finance` (object, required)
            Payment method type selected.
          - `open_finance.pix_key` (string, required)
            The Pix key associated with the beneficiary of the transaction. Can be an email, phone number (including the country code, for example +5511999998888), CPF/CNPJ, or a random key.

{% admonition type="info" name="Pix Key Masking" %}
  In the case that the provided Pix Key is a CPF, email address, or phone number, value in payment_method_details.open_finance.pix_key will be masked. If it is a CNPJ or random Pix Key UUID, the value will not be masked.
{% /admonition %}
            Example: "53497b80-81a2-4ea8-9296-83a909c05bdf"
          - `open_finance.payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `open_finance.callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `open_finance.cpf` (string,null)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "23******00"
          - `open_finance.schedule` (object,null) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object,null)
                Details regarding the scheduled (one-off) payment.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Details regarding the daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Details regarding the weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Details regarding the monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Details regarding the custom recurring payment.
              - `custom.dates` (array)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
        - BUSINESS:
          - `open_finance` (object, required)
            Payment method type selected.
          - `open_finance.pix_key` (string, required)
            The Pix key associated with the beneficiary of the transaction. Can be an email, phone number (including the country code, for example +5511999998888), CPF/CNPJ, or a random key.

{% admonition type="info" name="Pix Key Masking" %}
  In the case that the provided Pix Key is a CPF, email address, or phone number, value in payment_method_details.open_finance.pix_key will be masked. If it is a CNPJ or random Pix Key UUID, the value will not be masked.
{% /admonition %}
            Example: "53497b80-81a2-4ea8-9296-83a909c05bdf"
          - `open_finance.payer_institution` (string, required)
            Belvo's unique ID to reference the payer's institution.
            Example: "600f1b4a-1ef9-4f89-b341-1a35f0c32cc0"
          - `open_finance.schedule` (object,null) — one of:
            Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
            - Single:
              - `single` (object,null)
                Details regarding the scheduled (one-off) payment.
              - `single.date` (string)
                The date the one-off scheduled payment should be made, in YYYY-MM-DD format.
                Example: "2024-10-22"
            - Daily:
              - `daily` (object)
                Details regarding the daily recurring payment.
              - `daily.start_date` (string)
                The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
                Example: "2024-10-22"
              - `daily.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Weekly:
              - `weekly` (object)
                Details regarding the weekly recurring payment.
              - `weekly.start_date` (string)
                The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
                Example: "2024-10-22"
              - `weekly.day_of_week` (string)
                The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
                Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
              - `weekly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
                Example: 10
            - Monthly:
              - `monthly` (object)
                Details regarding the monthly recurring payment.
              - `monthly.start_date` (string)
                The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
                Example: "2024-10-26"
              - `monthly.day_of_month` (integer)
                The day of the month the payment should be made. Can be any integer between 1 and 31.
                Example: 26
              - `monthly.occurrences` (integer)
                The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
                Example: 12
            - Custom:
              - `custom` (object)
                Details regarding the custom recurring payment.
              - `custom.dates` (array)
                The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
                Example: ["2024-10-22","2024-10-26"]
              - `custom.description` (string)
                A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
                Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
          - `open_finance.callback_url` (string, required)
            The callback URL that your user will be redirected to after confirming the payment in their banking application.
            Example: "https://www.acmecorp.com/checkout/3487321"
          - `open_finance.cpf` (string,null, required)
            The customer's CPF number. Provided when available; this value is obfuscated in responses.
            Example: "23******00"
      - `payment_method_information` (any, required) — one of:
        Information about the Pix Key payment method.

At the time of payment intent creation, it will only include the open_finance.pix_key_details property, which you need to show your user to confirm that their details are correct (see the Initial schema).

After they confirm their details in your application and you send through the PATCH request, this object will be populated with additional properties (see the Confirmed schema).
        - Initial:
          - `open_finance` (object)
          - `open_finance.pix_key_details` (object)
            Details about the Pix Key used for the payment. You need to display this information to your user for them to confirm that the details are correct. After they confirm, you can send a PATCH request to confirm the Payment Intent.
          - `open_finance.pix_key_details.identifier` (string)
            The masked identifier of the owner.
            Example: "23******00"
          - `open_finance.pix_key_details.name` (string)
            The name of the Pix Key holder.
            Example: "João da Silva"
        - Confirmed:
          - `open_finance` (object)
          - `open_finance.provider_request_id` (string,null)
            Unique ID for the payment, as sent by the provider.
            Example: "978c0c97ea847e78e8849634473c1f1"
          - `open_finance.redirect_url` (string,null)
            The URL that redirects the payer to their institution's website to authorize the payment.
            Example: "https://wakandanational.com/"
          - `open_finance.end_to_end_id` (string,null)
            A unique ID for the transaction in the Brazil's PIX payment system.
            Example: "F203262942022211117487a213b1d140"
          - `open_finance.settlement_date` (string)
            The settlement_date field indicates the date on which a scheduled payment (charge) is planned to be settled. This field is relevant in various states of the charge's lifecycle:

  - Scheduled Charges: When a charge has the status SCHEDULED, this field represents the planned settlement date.
  - Completed Charges: When a charge has the status SUCCEEDED, this field reflects the date that the payment was made.
  - Failed or Canceled Charges: When a charge has the status CANCELED or FAILED, this field will still contain the originally calculated settlement date, indicating when the charge was intended to be settled.


> Note: The settlement_date does not change based on the success or failure of the charge. It consistently reflects the original planned settlement date.
            Example: "2024-10-22"
          - `open_finance.pix_key_details` (object)
            Details about the Pix key used for the payment.
          - `open_finance.pix_key_details.identifier` (string)
            The masked identifier of the owner.
            Example: "23******00"
          - `open_finance.pix_key_details.name` (string)
            The name of the Pix key holder.
            Example: "João da Silva"
      - `failure_code` (string,null, required)
        Error code that explains the reason behind a payment being unsuccessful (if applicable).
      - `failure_message` (string,null, required)
        Further information regarding the failure_code.
      - `metadata` (object)
        Optional and customizable object where you can provide any additional key-value pairs for your internal purposes. For example, an internal reference number.


⚠️ Note: You can only provide up to 50 keys (keys can have up to 50 characters each and each value can be up to 500 characters). We do not support nested objects, only ASCII values.
        Example: {"internal_reference_id":"GGq73487w2"}
      - `charges` (array)
        An array of charge objects related to this payment intent. If no charges are associated, we return an empty array.
      - `charges.id` (string, required)
        Belvo's unique identifier for the current item.
        Example: "0d3ffb69-f83b-456e-ad8e-208d0998d71d"
      - `charges.created_at` (string, required)
        The ISO-8601 timestamp of when the data point was created in Belvo's database.
        Example: "2022-02-09T08:45:50.406032Z"
      - `charges.updated_at` (string,null, required)
        The ISO-8601 timestamp of when the status of the charge was last updated.
        Example: "2022-02-09T08:45:50.406032Z"
      - `charges.created_by` (string)
        The unique ID for the user that created this item.
        Example: "bcef7f35-67f2-4b19-b009-cb38795faf09"
      - `charges.customer` (string)
        Belvo's unique ID for the customer that the charge was created for.
        Example: "531aa631-70a0-4eeb-ab97-51dea3e90c89"
      - `charges.payment_intent` (string)
        The payment_intent.id associated with this charge.
        Example: "50c04229-7b1d-4a53-951c-8ad53e10c6ca"
      - `charges.status` (string, required)
        The current status of the charge. Can be one of the following values:

  - CANCELED
  - PENDING
  - SCHEDULED
  - SUCCEEDED
  - FAILED
  - PARTIAL
        Enum: "CANCELED", "PENDING", "SCHEDULED", "SUCCEEDED", "FAILED", "PARTIAL"
      - `charges.amount` (string,null, required)
        The amount of the charge.
        Example: "100.12"
      - `charges.currency` (string)
        The currency of the amount paid. For 🇧🇷 Brazil, the value must be BRL (Brazilian Real).
        Enum: same as `currency` in "Pix Key" (1 values)
      - `charges.description` (string)
        The description of the payment.
        Example: "Training shoes"
      - `charges.statement_description` (string)
        The description that will appear on the customer's bank statement (if provided).
        Example: "Super Shoe Store - Brown Sneakers"
      - `charges.beneficiary` (string,null, required)
        Belvo's unique ID used to identify the beneficiary’s bank account. In the case that the beneficiary is a Pix Key, this field will be null.
      - `charges.payment_method_type` (string)
        Selected payment method type. For 🇧🇷 Brazil's OFPI, the value must be open_finance.
        Enum: "open_finance"
      - `charges.payment_method_details` (object, required)
        Details about the payment method.
      - `charges.payment_method_details.open_finance` (object)
        Information about the payer of a Pix payment.
      - `charges.payment_method_details.open_finance.payer_institution` (string)
        Unique identifier for the payer's institution.
        Example: "db201c6a-e0ee-4caa-92d6-72b480d6d86f"
      - `charges.payment_method_details.open_finance.pix_key` (string)
        The Pix key associated with the beneficiary of the transaction. Can be an email, phone number, CPF/CNPJ, or a random key.
        Example: "a80d5a9d-20ae-479a-8dd7-ff3443bcbbfc"
      - `charges.payment_method_details.open_finance.schedule` (object,null) — one of:
        Details regarding the scheduled payment (optional). For more information on how to schedule payments, please see our dedicated OFPI Scheduled Payments guide.
        - Single:
          - `single` (object,null)
            Details regarding the scheduled (one-off) payment.
          - `single.date` (string)
            The date the one-off scheduled payment should be made, in YYYY-MM-DD format.
            Example: "2024-10-22"
        - Daily:
          - `daily` (object)
            Details regarding the daily recurring payment.
          - `daily.start_date` (string)
            The date the recurring daily payment should start on, in YYYY-MM-DD format.

>Note: The start_date must be at least 1 day in the future.
            Example: "2024-10-22"
          - `daily.occurrences` (integer)
            The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
            Example: 10
        - Weekly:
          - `weekly` (object)
            Details regarding the weekly recurring payment.
          - `weekly.start_date` (string)
            The date the recurring weekly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_week specified and be at least 1 day in the future.
            Example: "2024-10-22"
          - `weekly.day_of_week` (string)
            The day of the week the payment should be made. Can be one of the following values:

  - MONDAY
  - TUESDAY
  - WEDNESDAY
  - THURSDAY
  - FRIDAY
  - SATURDAY
  - SUNDAY
            Enum: same as `weekly.day_of_week` in "Weekly" (7 values)
          - `weekly.occurrences` (integer)
            The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 60.
            Example: 10
        - Monthly:
          - `monthly` (object)
            Details regarding the monthly recurring payment.
          - `monthly.start_date` (string)
            The date the recurring monthly payment should start on, in YYYY-MM-DD format.

>Note: The start_date must correspond to the first day_of_month specified and be at least 1 day in the future.
            Example: "2024-10-26"
          - `monthly.day_of_month` (integer)
            The day of the month the payment should be made. Can be any integer between 1 and 31.
            Example: 26
          - `monthly.occurrences` (integer)
            The number of times the payment should repeat. 

>Note: You must schedule at least 2 occurrences and no more than 24.
            Example: 12
        - Custom:
          - `custom` (object)
            Details regarding the custom recurring payment.
          - `custom.dates` (array)
            The unique dates the recurring payment should be made, in YYYY-MM-DD format.

>Note: The dates must be at least 1 day in the future and no more than 720 days in the future.
            Example: ["2024-10-22","2024-10-26"]
          - `custom.description` (string)
            A description of the custom recurring payment that will display to your user when they are redirected to their bank to accept the payment.

> Note: We highly recommend that this message be in Brazilian Portuguese, and that it clearly explains the purpose as well as recurring nature of the payment.
            Example: "Os pagamentos ocorrerão a cada três dias até a data final (30.09.2024)"
      - `charges.payment_method_information` (object, required)
        Information about the Pix Key payment method after the payment intent has been confirmed via a PATCH request.
      - `charges.payment_method_information.open_finance` (object)
      - `charges.payment_method_information.open_finance.provider_request_id` (string,null)
        Unique ID for the payment, as sent by the provider.
        Example: "978c0c97ea847e78e8849634473c1f1"
      - `charges.payment_method_information.open_finance.redirect_url` (string,null)
        The URL that redirects the payer to their institution's website to authorize the payment.
        Example: "https://wakandanational.com/"
      - `charges.payment_method_information.open_finance.end_to_end_id` (string,null)
        A unique ID for the transaction in the Brazil's PIX payment system.
        Example: "F203262942022211117487a213b1d140"
      - `charges.payment_method_information.open_finance.settlement_date` (string)
[...]
